NAME
	sdoc -	extract documentation from file(s)

SYNOPSIS
	sdoc docdir filepattern
	sdoc -?
	sdoc -r

DESCRIPTION
	sdoc is used to extract comments and index information about
	functions from normal LPC files and put this extracted information
	in a special documentation directory.

	filepattern is the name of the file(s) to document and also the 
	name(s) in the documentation directory. If the file includes
	other ".c" files such as /std/living.c does, then these are
	automatically found and scanned by the functionscanner.

	As not to totally grind the game to a halt only one file can be
	documented at the time. A list is kept of the files pending for
	for documentation.

OPTIONS
	docdir filepattern
		Document files matching 'filepattern' under the documentation
		directory 'docdir'. Normal ~ constructs can be used to 
		denote both docdir and filepattern. Your current working
		directory is used just like ls, cd etc.		

		If docdir and filepattern have a common leading path then
		that common part is deleted from filepattern before added
		to docdir when deciding where the documentation is to be
		placed.

	-?	
		Give a list of the pending files to document and the status
		of the ongoing documentation

	-r	
		Reset the documentation maker. Clear all orders and abort
		the current ongoing documentation.

NOTA BENE
        If the beginning of the pathnames 'docdir' and 'filepattern' are the
   	same that common part will be deleted from 'file' when put
   	under 'docdir'. This ensures for example:

	    sdoc /d/Genesis/doc /d/Genesis/obj/*
	        ^^^^^^^^^^^^^^ ^^^^^^^^^^^^^^^^^^^^
		    docdir           filepattern

	 will end up under /d/Genesis/doc/obj/* and
         NOT: /d/Genesis/doc/d/Genesis/obj/*

SEE ALSO
	sman, lman

	


